edu.isi.pegasus.planner.selector.site.heft

## Class HeftGraphNodeComparator

- java.lang.Object
- - edu.isi.pegasus.planner.selector.site.heft.HeftGraphNodeComparator

All Implemented Interfaces:
  java.util.Comparator

    class HeftGraphNodeComparator
    extends java.lang.Object
    implements java.util.Comparator

Comparator for GraphNode objects that allow us to sort on basis of the downward rank computed.

### Constructor Summary

Constructors
Constructor and Description
`HeftGraphNodeComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(java.lang.Object o1, java.lang.Object o2)` Implementation of the `Comparable` interface.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### HeftGraphNodeComparator

    HeftGraphNodeComparator()

### Method Detail

#### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

Implementation of the `Comparable` interface. Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object. The definitions are compared by their type, and by their short ids.

Specified by:
  `compare` in interface `java.util.Comparator`
Parameters:
  `o1` - is the object to be compared
  `o2` - is the object to be compared with o1.
Returns:
  a negative number, zero, or a positive number, if the object compared against is less than, equals or greater than this object.
Throws:
  `java.lang.ClassCastException` - if the specified object's type prevents it from being compared to this Object.